I am getting the same error
Code:
TypeError: 'undefined' is not an object
Line: 0
Source: undefined
when running the SDK against Ext 4.0.5.

My command for Ext 4.0.4 runs cleanly:
Code:
/cygdrive/c/PROGRAMMER/SenchaSDKTools-1.2.2/command/sencha.bat slice theme -v -d htdocs\\includes\\library\\extjs\\ext-4.0.4 -c htdocs\\includes\\library\\extjs\\my\\resources\\css\\theme.css -o htdocs\\includes\\library\\extjs\\ext-4.0.4/resources\\themes\\images\\my\\
But the Ext 4.0.5 command fails:
Code:
/cygdrive/c/PROGRAMMER/SenchaSDKTools-1.2.2/command/sencha.bat slice theme -v -d htdocs\\includes\\library\\extjs\\ext-4.0.5 -c htdocs\\includes\\library\\extjs\\my\\resources\\css\\theme.css -o htdocs\\includes\\library\\extjs\\ext-4.0.5/resources\\themes\\images\\my\\
The double backslashes are necessary.